Loading...
Searching...
No Matches
Opm::EclIO::ExtESmry Class Reference

## Public Member Functions

| ExtESmry (const std::string &filename, bool loadBaseRunData=false)
const std::vector< float > & | get (const std::string &name)
std::vector< float > | get_at_rstep (const std::string &name)
std::string & | get_unit (const std::string &name)
void | loadData ()
void | loadData (const std::vector< std::string > &stringVect)
time_point | startdate () const
const std::vector< int > & | start_v () const
bool | hasKey (const std::string &key) const
size_t | numberOfTimeSteps () const
size_t | numberOfVectors () const
const std::vector< std::string > & | keywordList () const
std::vector< std::string > | keywordList (const std::string &pattern) const
std::vector< time_point > | dates ()
bool | all_steps_available ()
std::string | rootname ()
std::tuple< double, double > | get_io_elapsed () const

The documentation for this class was generated from the following files:

- opm/io/eclipse/ExtESmry.hpp
- opm/io/eclipse/ExtESmry.cpp